//
//  GetSeriesListResponse.swift
//  SodaLive
//
//  Created by klaus on 4/29/24.
//

import Foundation

struct GetSeriesListResponse: Decodable {
    let totalCount: Int
    let items: [SeriesListItem]
}

struct SeriesListItem: Decodable {
    let seriesId: Int
    let title: String
    let coverImage: String
    let publishedDaysOfWeek: String
    let isComplete: Bool
    let creator: SeriesListItemCreator
    let numberOfContent: Int
    let isNew: Bool
    let isPopular: Bool
}

struct SeriesListItemCreator: Decodable {
    let creatorId: Int
    let nickname: String
    let profileImage: String
}
